Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
AngularJS 1.2+ native directives for Bootstrap 3.
JavaScript HTML

README.md

AngularStrap

Bower Version Build Status devDependency Status Coverage Status Climate Status

Banner

AngularStrap is a set of native directives that enables seamless integration of Bootstrap 3.0+ into your AngularJS 1.2+ app.

  • With no external dependency except the Bootstrap CSS Styles, AngularStrap is lighter and faster than ever as it does leverage the power of ngAnimate from AngularJS 1.2+!

  • AngularStrap is tested against the latest patch release of the 1.2, 1.3 and 1.4 branches.

  • If you don't want to use ngAnimate, you will have to include a tiny ngAnimate mock.

Documentation and examples

Communication

  • If you need help, use Stack Overflow. (Tag 'angular-strap')
  • If you'd like to ask a general question, use Stack Overflow.
  • If you found a bug, open an issue.
  • If you have a feature request, open an issue.
  • If you want to contribute, submit a pull request.

Quick start

  • Install AngularStrap with Bower.
$ bower install angular-strap --save
  • Include the required libraries in your index.html:
<script src="bower_components/angular/angular.js"></script>
<script src="bower_components/angular-animate/angular-animate.js"></script>
<script src="bower_components/angular-strap/dist/angular-strap.min.js"></script>
<script src="bower_components/angular-strap/dist/angular-strap.tpl.min.js"></script>
  • Inject the mgcrea.ngStrap module into your app:
angular.module('myApp', ['ngAnimate', 'mgcrea.ngStrap']);

Developers

Clone the repo, git clone git://github.com/mgcrea/angular-strap.git, download the latest release or install with bower bower install angular-strap --save.

You will need to have bower and gulp installed globally into your node environment.

Currently, AngularStrap uses gulp 4.0 which is not yet available on npm repository, so you will need to install it from github.

$ npm install -g bower
$ npm install -g gulpjs/gulp#4.0

AngularStrap is tested with karma against the latest stable release of AngularJS.

$ npm install
$ bower install
$ cd docs
$ bower install
$ cd ..
$ gulp test

You can build the latest version using gulp.

$ gulp build

You can quickly hack around (the docs) with:

  $ gulp serve

Contributing

Please submit all pull requests the against master branch. If your pull request contains JavaScript patches or features, you should include relevant unit tests. Please check the Contributing Guidelines for more details. Thanks!

Authors

Olivier Louvignes

Copyright and license

The MIT License

Copyright (c) 2012 – 2015 Olivier Louvignes

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
Something went wrong with that request. Please try again.